﻿@using AdminCaja.Areas.Admin.Models
@model SectionViewModel

@{
    var lenguajes = new List<DefinicionLenguajes> { new DefinicionLenguajes { Name = "Español", lang = "es" }, new DefinicionLenguajes { Name = "Inglés", lang = "en" } };
}
<!-- ============================================================== -->
<!-- Bread crumb and right sidebar toggle -->
<!-- ============================================================== -->
<div class="row page-titles">
    <div class="col-md-5 col-8 align-self-center">
        <h3 class="text-themecolor m-b-0 m-t-0">Secciones</h3>
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="/Admin">Inicio </a></li>
            <li class="breadcrumb-item active"><a href="/Admin/Section">Secciones</a></li>
            <li class="breadcrumb-item active">Editar Sección</li>
        </ol>
    </div>
</div>
<!-- ============================================================== -->
<!-- End Bread crumb and right sidebar toggle -->
<!-- ============================================================== -->
<!-- ============================================================== -->
<!-- Start Page Content -->
<!-- ============================================================== -->
<div class="col-12 help-content">
    <ul class="nav nav-tabs wow slideInRight" data-wow-offset="300" id="myTab" role="tablist">
        @foreach (var item in lenguajes)
        {
            if (item.lang == Model.Language)
            {
                <li class="nav-item">
                    <a class="nav-link active" id="spa-tab" data-toggle="tab" href="#langactivo" role="tab" aria-controls="spa" aria-selected="true">@item.Name</a>
                </li>

            }
            else
            {
                <li class="nav-item">
                    <a class="nav-link" id="@item.lang-tab" href="/Admin/Section/EditSection/@Model.Id?lang=@item.lang" role="tab" aria-controls="eng" aria-selected="false">@item.Name</a>
                </li>
            }

        }
        @*
                <li class="nav-item"> <a class="nav-link active" id="spa-tab" data-toggle="tab" href="#spa" role="tab" aria-controls="spa" aria-selected="true">Español</a> </li>
            <li class="nav-item"> <a class="nav-link" id="eng-tab" data-toggle="tab" href="#eng" role="tab" aria-controls="eng" aria-selected="false">Inglés</a> </li>*@
        <!-- <li class="nav-item"> <a class="nav-link" id="por-tab" data-toggle="tab" href="#por" role="tab" aria-controls="por" aria-selected="false">Portugués</a> </li> -->
    </ul>
    <div class="card wow slideInRight" data-wow-offset="300">
        <!-- <div class="card-block bg-info">
                            <h4 class="text-white card-title">Glosario</h4>
                        </div> -->
        <div class="card-block">
            <div class="tab-content" id="myTabContent">
                <div class="tab-pane show active" id="spa" role="tabpanel" aria-labelledby="spa-tab">
                    @Html.Partial("_EditFormPartial", Model.Content)
                </div>
            </div>
        </div>
    </div>
</div>

<div id="subsecciones">
</div>

<!-- ============================================================== -->
<!-- End PAge Content -->
<!-- ============================================================== -->

@section  Scripts{

    <script>
        $(document).on('ready', function () {
            // initialization of select picker
            $.HSCore.components.HSSelectPicker.init('.js-select');

            // initialization of text editors
            initSummerNote();
            // initialization of range datepicker
            $.HSCore.components.HSRangeDatepicker.init('.js-range-datepicker');

            $("#subsecciones").load("/Admin/Section/SubSections/@Model.Id");
        });

        function initSummerNote() {
            $.HSCore.components.HSSummernoteEditor.init('.js-summernote-editor');
        }
    </script>
}